What if my phone is too old and unable to connect to the device?

Any phones using Android 4.4 and iOS 10 above will have no problems. If you still have any issues, please get in touch, with your phone make and model. Our technical team will then be able to help and resolve the issue for you.